/// <reference types="react" />
import AbstractMultiUpload from './components/AbstractMultiUpload';
import { FILE_UPLOAD_STATUS } from './constants';
import { IImageOnUploadSuccessReturn, IImageUploadFileItem, IImageUploadProps, IImageUploadItemProps } from './types';
import { II18nLocaleUpload } from '../i18n';
export declare class ImageUpload extends AbstractMultiUpload<IImageUploadFileItem, IImageOnUploadSuccessReturn, IImageUploadItemProps, IImageUploadProps> {
    static defaultProps: Partial<IImageUploadProps>;
    static FILE_UPLOAD_STATUS: typeof FILE_UPLOAD_STATUS;
    protected getUploadSuccessOverrideProps(onUploadSuccessReturn: IImageOnUploadSuccessReturn): Partial<IImageUploadFileItem>;
    protected renderUploadList(i18n: II18nLocaleUpload): React.ReactNode;
    protected createNewUploadFileItem(file: File): Promise<IImageUploadFileItem>;
    protected renderTips(): React.ReactNode;
    protected renderTrigger(i18n: II18nLocaleUpload): React.ReactNode;
    render(): JSX.Element;
}
export default ImageUpload;
